# 전체 환불

환불 요청을 전송하여 사용자에게 결제 금액을 반환합니다. 해당 절차에 대해 자세히 알아보려면 [환불 
기능](https://developers.xsolla.com/ko/doc/pay-station/features/refund/)을 읽어 보십시오.


참고샌드박스 모드에서 이 API 메소드를 호출할 수 있습니다. 이렇게 하려면 요청에서 테스트 결제 데이터를 전달합니다. 샌드박스 모드 액세스 및 테스트 시나리오에 대한 자세한 내용은 지침을 참조하세요.





주의이 API 호출에는 project_id 경로 매개 변수가 포함되어 있지 않으므로 회사의 모든 프로젝트에서 유효한 API 키를 사용하여 인증을 설정해야 합니다.

Endpoint: PUT /merchants/{merchant_id}/reports/transactions/{transaction_id}/refund
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    판매자 ID입니다.

  - `transaction_id` (integer, required)
    트랜잭션 ID.

## Request fields (application/json):

  - `description` (string, required)
    환불 사유입니다.

  - `email` (string)
    사용자 이메일.

## Response 200 fields (application/json):

  - `message` (string)
    다음 두 메시지 중 하나를 반환할 수 있습니다.
- No content.
- The request for a refund has been accepted. Xsolla CS will manually complete the refund. It may take up to two business days.
- The request for a refund has been accepted. Xsolla CS will automatically send the customer an email with alternative refund options as the user's method does not support direct refunds.

## Response 404 fields (application/json):

  - `message` (string)
    트랜잭션 ID가 유효하지 않습니다. 결제 자격 증명을 확인하세요. 또는 엑솔라 지원팀 support@xsolla.com에 연락해 주세요.

## Response 422 fields (application/json):

  - `message` (string)
    다음 두 메시지 중 하나를 반환할 수 있습니다.
- We are processing the refund request. This may take up to two business days.
- We are reaching the user for the information required for the refund. For details, contact Xsolla Support.
- Incorrect payment status. Refund is possible only for payments with "completed" or "error" status.
- To process this request, the customer's email address field must be filled. Please specify the customer's email address and try again.
- Full refund is unavailable because there are successful partial refunds for this transaction.
- Refund failed. Please contact Xsolla Support to process it manually.
- Dispute for this invoice is already opened. Can’t make a refund yet.


## Response 204 fields

## Response 401 fields
